package bus.service;

import bus.model.dto.BNoticeInfoDto;
import bus.model.dto.page.BNoticeInfoPageDto;
import bus.model.vo.BNoticeInfoVo;
import bus.model.po.BNoticeInfoPo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-01 10:21:43
 **/
public interface BNoticeInfoService extends IService<BNoticeInfoPo> {


    /**
     * 详情
     * @param id
     * @return
     */
    BNoticeInfoDto getDetailById(String id);

	/**
     * 保存
     * @param dto
     * @return
     */
    void save(BNoticeInfoDto dto);

    /**
    * 列表
    * @param dto
    * @return
    */
    List<BNoticeInfoDto> list(BNoticeInfoPageDto dto);

	/**
     * 修改
     * @param dto
     * @return
     */
    void update(BNoticeInfoDto dto);

	/**
     * 删除
     * @param id
     * @return
     */
    void delete(String id);
}
